Bug 850326 - Introduce new systemd-rpm macros in squid spec file
Introduce new systemd-rpm macros in squid spec file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Hozza
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 10:09 EDT by Lukáš Nykrýn
Modified: 2012-12-01 03:43 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 06:25:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lukáš Nykrýn 2012-08-21 10:09:46 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Tomas Hozza 2012-10-05 08:38:39 EDT
Fixed in squid-3.2.1-2.fc18.
Comment 2 Fedora Update System 2012-10-29 04:07:56 EDT
squid-3.2.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-16962/squid-3.2.3-2.fc18
Comment 3 Fedora Update System 2012-11-20 08:19:20 EST
squid-3.2.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/squid-3.2.3-2.fc17
Comment 4 Fedora Update System 2012-11-20 10:29:37 EST
squid-3.2.3-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/squid-3.2.3-2.fc16
Comment 5 Fedora Update System 2012-12-01 03:32:24 EST
squid-3.2.3-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-12-01 03:43:36 EST
squid-3.2.3-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.